Bug 785827 - [abrt] blueman-1.21-10.fc16: PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range
[abrt] blueman-1.21-10.fc16: PulseAudioUtils.py:149:__get_proplist:IndexError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:5f2ac01b5e3f0ad295cc9ec55be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 12:50 EST by Danilo Cestari
Modified: 2012-05-06 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: blueman-1.23-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-05 21:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danilo Cestari 2012-01-30 12:50:26 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/blueman-applet
comment:        Just restarted the computer after an update... Don't know what caused it....
executable:     /usr/bin/blueman-applet
kernel:         3.2.2-1.fc16.x86_64
reason:         PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range
time:           Mon 30 Jan 2012 03:47:20 PM BRST
uid:            500
username:       danilo

backtrace:
:PulseAudioUtils.py:149:__get_proplist:IndexError: list index out of range
:
:Traceback (most recent call last):
:  File "_ctypes/callbacks.c", line 313, in 'calling callback function'
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 155, in __list_callback
:    info["handler"](entry_info, False)
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 279, in handler
:    props = self.__get_proplist(entry_info[0].proplist)
:  File "/usr/lib/python2.7/site-packages/blueman/main/PulseAudioUtils.py", line 149, in __get_proplist
:    proplist[spl[0]] = spl[1]
:IndexError: list index out of range
:
:Local variables in innermost frame:
:self: <PulseAudioUtils object at 0x1388f50 (blueman+main+PulseAudioUtils+PulseAudioUtils at 0x13c1820)>
:item: ''
:spl: ['']
:ls: ['']
:pla: 19732272
:proplist: {}

smolt_data:
:
:
:General
:=================================
:UUID: d4f43377-2ed5-40eb-b803-6b05a1e956ae
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6383.54
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5800  @ 3.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3191
:System Memory: 3921
:System Swap: 5983
:Vendor: POSITIVO
:System: POS-PIG41BA 0605_SIM
:Form factor: Desktop
:Kernel: 3.2.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:6922:5) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33128:6922:3) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:11826:6922:4) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10176:6922:5) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:6922:5) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6922:5) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(5361:12080:5361:8273) pci, None, SIMPLE, SoftV92 SpeakerPhone SoftRing Modem with SmartSP
:(32902:10200:6922:1) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:6922:5) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:6922:5) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:6922:5) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:6922:5) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:6922:5) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:6922:4) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:6922:5) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:6922:5) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:6922:5) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_danilo-lv_root / ext4 4096 4096 13092026 9230188 9099166 3276800 3066383 3066383
:/dev/sda1 /boot ext4 1024 1024 508745 410723 385123 128016 127725 127725
:/dev/mapper/vg_danilo-lv_home /home ext4 4096 4096 107206306 94991723 89625554 26836992 26752343 26752343
:/dev/mapper/vg_danilo-lv_home WITHHELD ext4 4096 4096 107206306 94991723 89625554 26836992 26752343 26752343
:
Comment 1 Danilo Cestari 2012-02-13 11:40:15 EST
Just started the computer......Don't know what caused it....

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Fedora Update System 2012-04-27 06:00:59 EDT
blueman-1.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blueman-1.23-1.fc17
Comment 3 Fedora Update System 2012-04-27 06:01:24 EDT
blueman-1.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/blueman-1.23-1.fc16
Comment 4 Fedora Update System 2012-04-27 11:43:42 EDT
Package blueman-1.23-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blueman-1.23-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6784/blueman-1.23-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-05 21:29:51 EDT
blueman-1.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-06 00:57:10 EDT
blueman-1.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.